%define major 0
%define api  3.0
%define pilot_link_version 0.12.0
%define libname %mklibname %{name} %api %{major}
%define cmmajor 0
%define libnamecm %mklibname pilotdcm %api  %cmmajor
%define conduitmajor 0
%define libnameconduit %mklibname gpilotdconduit %api %conduitmajor
%define develname %mklibname -d %{name}

Summary:	GNOME Pilot programs
Name:		gnome-pilot
Version:	2.91.93
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/projects/gnome-pilot/
BuildRequires: pkgconfig(dbus-glib-1) >= 0.74
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(gtk+-3.0) >= 2.99.2
BuildRequires: pkgconfig(gudev-1.0)
BuildRequires: pkgconfig(libebook-1.2)
BuildRequires: pkgconfig(libecal-1.2)
BuildRequires: pkgconfig(libedataserverui-3.0)
BuildRequires: pkgconfig(libpanelapplet-4.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pilot-link-devel >= %{pilot_link_version}
BuildRequires: scrollkeeper
BuildRequires: automake
BuildRequires: intltool
BuildRequires: desktop-file-utils
BuildRequires: gnome-doc-utils
BuildRequires: gob2

%description
GNOME pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot (tm).


%package devel
Summary:	GNOME pilot libraries, includes, etc
Group:		Development/GNOME and GTK+
Requires: 	%{name} = %{version}
Requires:	pilot-link-devel >= %{pilot_link_version}
Obsoletes:	%{name}-devel < %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gnome-pilot2-devel < 2.0.17-7

%description devel
gpilotd libraries and includes.

%prep
%setup -q

%build
%define _disable_ld_no_undefined 1
%configure2_5x --enable-usb --enable-network --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{_real_vendor}-gpilot-install-file.desktop << EOF
[Desktop Entry]
Name=GNOME Pilot Install Databases
Comment=Install Databases on your Palm Pilot
Exec=gpilot-install-file %U
Icon=gnome-palm
Terminal=false
Type=Application
StartupNotify=true
MimeType=application/x-palm-database;
Categories=GNOME;GTK;TelephonyTools;Utility;
Hidden=true
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gpilotd-control-applet.desktop 

%{find_lang} %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do
   echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done 
# remove unpackaged files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libexecdir}/gpilotd
%{_libexecdir}/gpilot-applet
%dir %{_libdir}/gnome-pilot
%dir %{_libdir}/gnome-pilot/conduits
%{_libdir}/gnome-pilot/conduits/*.so*
%{_datadir}/gnome-pilot
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%_datadir/applications/*.desktop
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%_datadir/dbus-1/services/org.gnome.GnomePilot.service
%_sysconfdir/gconf/schemas/pilot.schemas
%_datadir/dbus-1/services/org.gnome.panel.applet.PilotAppletFactory.service
%_datadir/gnome-panel/4.0/applets/org.gnome.applets.PilotApplet.panel-applet

%{_libdir}/libgpilotd-%api.so.%{major}*

%{_libdir}/libgpilotdcm-%api.so.%{cmmajor}*

%{_libdir}/libgpilotdconduit-%api.so.%{conduitmajor}*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Mon Sep 12 2011 Texstar <texstar at gmail.com> 2.91.93-1pclos2011
- import into pclos
